Package com.android.server.os

# Interface LinphoneTombstoneProtos.HeapObjectOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.HeapObject`, `LinphoneTombstoneProtos.HeapObject.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.HeapObjectOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`long`
`getAddress()`
`uint64 address = 1;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getAllocationBacktrace(int index)`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`int`
`getAllocationBacktraceCount()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getAllocationBacktraceList()`
`repeated .BacktraceFrame allocation_backtrace = 4;`
`long`
`getAllocationTid()`
`uint64 allocation_tid = 3;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getDeallocationBacktrace(int index)`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`int`
`getDeallocationBacktraceCount()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getDeallocationBacktraceList()`
`repeated .BacktraceFrame deallocation_backtrace = 6;`
`long`
`getDeallocationTid()`
`uint64 deallocation_tid = 5;`
`long`
`getSize()`
`uint64 size = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getAddress

long getAddress()
`uint64 address = 1;`

Returns:
  The address.

### getSize

long getSize()
`uint64 size = 2;`

Returns:
  The size.

### getAllocationTid

long getAllocationTid()
`uint64 allocation_tid = 3;`

Returns:
  The allocationTid.

### getAllocationBacktraceList

List<LinphoneTombstoneProtos.BacktraceFrame> getAllocationBacktraceList()
`repeated .BacktraceFrame allocation_backtrace = 4;`

### getAllocationBacktrace

LinphoneTombstoneProtos.BacktraceFrame getAllocationBacktrace(int index)
`repeated .BacktraceFrame allocation_backtrace = 4;`

### getAllocationBacktraceCount

int getAllocationBacktraceCount()
`repeated .BacktraceFrame allocation_backtrace = 4;`

### getDeallocationTid

long getDeallocationTid()
`uint64 deallocation_tid = 5;`

Returns:
  The deallocationTid.

### getDeallocationBacktraceList

List<LinphoneTombstoneProtos.BacktraceFrame> getDeallocationBacktraceList()
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### getDeallocationBacktrace

LinphoneTombstoneProtos.BacktraceFrame getDeallocationBacktrace(int index)
`repeated .BacktraceFrame deallocation_backtrace = 6;`

### getDeallocationBacktraceCount

int getDeallocationBacktraceCount()
`repeated .BacktraceFrame deallocation_backtrace = 6;`